Kiwi.Plugins.Startgame = {
	name:'Startgame',
	version:'0.5.0',
	minimumKiwiVersion:'1.1.1',
	kiwifrootPlugins:[]
};

Kiwi.PluginManager.register(Kiwi.Plugins.Startgame);

Kiwi.Plugins.Startgame.Component = function(gameObject){
	Kiwi.Component.call(this, gameObject, 'Startgame');

	this.state = this.owner.state;
	this.box = this.owner.components.getComponent("Box");

	this.game.input.onDown.add(this.onInstanceInputONDOWN, this, 50);
};

Kiwi.extend(Kiwi.Plugins.Startgame.Component, Kiwi.Component);

Kiwi.Plugins.Startgame.Component.prototype.boot = function() {


};

Kiwi.Plugins.Startgame.Component.add = function(state, gameObject, params){
	var component = new Kiwi.Plugins.Startgame.Component(gameObject);
	gameObject.components.add(component);


};

Kiwi.Plugins.Startgame.Component.prototype.onInstanceInputONDOWN = function(x, y, timeDown, timeUp, duration, pointer) {
	var point = this.game.cameras.defaultCamera.transformPoint( pointer.point );

	if (this.owner.box.worldHitbox.containsPoint( point )) {
		this.game.info.switchLevelByNumber((this.game.info.currentLevelNumber + 1));
	}
};

Kiwi.Plugins.Startgame.Component.prototype.destroy = function(){
	this.game.input.onDown.remove(this.onInstanceInputONDOWN, this);

	Kiwi.Component.prototype.destroy.call( this );
	this.state = null;
	this.box = null;
};

Kiwi.Plugins.Startgame.kiwifrootPlugins.push({
	type: Kiwifroot.Plugins.COMPONENT,
	name: 'Startgame',
	namespace: Kiwi.Plugins.Startgame.Component
});
